NetWare 6.5/SP1 running BorderManager 3.8/SP1

I need to get both the O/S and the BM product SP'd.

Which goes FIRST, 6.5/SP2 or the BM3.8/SP2A service pack?